Bug 1730571 (CVE-2019-13302) - CVE-2019-13302 ImageMagick: heap-based buffer over-read in MagickCore/fourier.c in ComplexImages
Summary: CVE-2019-13302 ImageMagick: heap-based buffer over-read in MagickCore/fourier...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-13302
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1730572
Blocks: 1730618
TreeView+ depends on / blocked
 
Reported: 2019-07-17 07:24 UTC by Marian Rehak
Modified: 2019-09-29 15:17 UTC (History)
5 users (show)

Fixed In Version: ImageMagick 7.0.8-58
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer over-read was discovered in ImageMagick in the way it performs complex mathematics on an image sequence. Applications compiled against ImageMagick libraries that accept untrustworthy images may be vulnerable to this flaw. An attacker could abuse this flaw by providing a specially crafted image to make the application crash or leak application data.
Clone Of:
Environment:
Last Closed: 2019-07-19 15:06:55 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-17 07:24:33 UTC
ImageMagick 7.0.8-50 Q16 has a heap-based buffer over-read in MagickCore/fourier.c in ComplexImages.

Upstream Issue:

https://github.com/ImageMagick/ImageMagick/issues/1597

Comment 1 Marian Rehak 2019-07-17 07:24:52 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1730572]

Comment 3 Riccardo Schirone 2019-07-19 13:07:15 UTC
Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6, and 7 as they did not include the vulnerable function.

Comment 4 Product Security DevOps Team 2019-07-19 15:06:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13302


Note You need to log in before you can comment on or make changes to this bug.